Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479948 - Internal Server Error
Summary: Internal Server Error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-14 08:55 UTC by Jan Pazdziora
Modified: 2009-01-22 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:41 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2009-01-14 08:55:05 UTC
Description of problem:

When Spacewalk server is restarted, the page

/network/systems/details/history/event.pxt?sid=1000010010&hid=55

gives Internal Server Error.

Version-Release number of selected component (if applicable):

# rpm -qf /usr/lib/perl5/site_perl/5.8.8/PXT/ApacheHandler.pm
spacewalk-pxt-0.4.14-1.el5

How reproducible:

Deterministic.

Steps to Reproduce:
1. Have Spacewalk server.
2. Register system.
3. Schedule some action.
4. Go to the history page of that event.
5. In the command line, do /usr/sbin/rhn-satellite stop and /usr/sbin/rhn-satellite start.
6. Do reload on that history page.
  
Actual results:

500 Error - Internal Server Error

In the error_log, there is

[Wed Jan 14 09:41:05 2009] [error] [client 10.34.32.41] Can't locate object method "send" via package "RHN::Mail" (perhaps you forgot to load "RHN::Mail"?) at /usr/lib/perl5/site_perl/5.8.8/PXT/ApacheHandler.pm line 726.\n

Expected results:

No error, history shown.

Well, actually, there will be an ISE again, but this time the error_log will have the original error (the RHN::Mail is used to send the traceback email) and traceback email will be sent.

Additional info:

Comment 1 Jan Pazdziora 2009-01-14 08:56:13 UTC
Fixed in bf3b295a5d24ad28a6c9c202ac61335a7d6ab8aa.

Comment 2 Miroslav Suchý 2009-01-15 09:17:09 UTC
The page load fine after the restart.
VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.